LibreOffice: ZipFileAccess Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
ZipFileAccess Service Reference

allows to get reading access to non-encrypted entries inside zip file. More...

`import"ZipFileAccess.idl";`

Inheritance diagram for ZipFileAccess:

## Public Member Functions
| createWithURL ([in] string URL) raises ( com::sun::star::io::IOException, com::sun::star::ucb::ContentCreationException, com::sun::star::ucb::InteractiveIOException, com::sun::star::packages::zip::ZipException )
Public Member Functions inherited from XZipFileAccess
::com::sun::star::io::XInputStream | getStreamByPattern ([in] string aPattern) raises ( ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::packages::zip::ZipException )
| allows to get stream by specifying a pattern. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Additional Inherited Members
Exported Interfaces inherited from XZipFileAccess2
interface | XZipFileAccess
interface | com::sun::star::container::XNameAccess

## Detailed Description

allows to get reading access to non-encrypted entries inside zip file.

## Member Function Documentation

## ◆ createWithURL()

createWithURL | ( | [in] string | URL | ) |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::ucb::ContentCreationException,
|  | com::sun::star::ucb::InteractiveIOException,
|  | com::sun::star::packages::zip::ZipException
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/packages/zip/ZipFileAccess.idl